<!DOCTYPE html>
<html lang="zh" xmlns:th="http://www.thymeleaf.org" xmlns:shiro="http://www.pollix.at/thymeleaf/shiro">
<head>
    <th:block th:include="include :: header('积分活动列表')"/>
</head>
<body class="gray-bg">
<div class="container-div">
    <div class="row">
        <div class="col-sm-12 search-collapse">
            <form id="formId">
                <div class="select-list">
                    <ul>
                        <li>
                            <label>活动名称：</label>
                            <input type="text" name="activityTitle"/>
                        </li>
                        <li>
                            <a class="btn btn-primary btn-rounded btn-sm" onclick="$.table.search()"><i
                                    class="fa fa-search"></i>&nbsp;搜索</a>
                            <a class="btn btn-warning btn-rounded btn-sm" onclick="$.form.reset()"><i
                                    class="fa fa-refresh"></i>&nbsp;重置</a>
                        </li>
                    </ul>
                </div>
            </form>
        </div>

        <div class="btn-group-sm" id="toolbar" role="group">
            <a class="btn btn-success" onclick="$.operate.addTab(1)" shiro:hasPermission="sweet:integralActivity:create">
                <i class="fa fa-plus"></i> 添加
            </a>
        </div>
        <div class="col-sm-12 select-table table-bordered">
            <table id="bootstrap-table"></table>
        </div>
    </div>
</div>
<th:block th:include="include :: footer"/>
<script th:inline="javascript">
    var updateFlag = [[${@permission.hasPermi('sweet:integralActivity:create')}]];
    var isOnlineFlag = [[${@permission.hasPermi('sweet:integralActivity:isOnline')}]];
    var drawListFlag = [[${@permission.hasPermi('sweet:integralActivityDraw:list')}]];
    var exportExcelFlag = [[${@permission.hasPermi('sweet:integralActivityDraw:export')}]];

    var prefix = ctx + "sweet/integralActivity";

    function exportExcel(integralActivityId) {
        var data = {"ids": integralActivityId};
        $.table.exportExcel("", data)
    }

    $(function () {
        var options = {
            url: prefix + "/list",
            updateUrl: prefix + "/formView?id={id}", // /update/{id}
            createUrl: prefix + "/formView",
            detailUrl: "/sweet/IntegralActivityDraw/listView/{id}",
            exportUrl: "/sweet/IntegralActivityDraw/export",
            modalName: "积分活动",
            columns: [{
                checkbox: true
            },
                {
                    field: 'activityTitle',
                    title: '活动名称'
                },
                {
                    field: 'activityImg',
                    title: '活动图片',
                    formatter: function (value, row, index) {
                        return $.table.imageView(value, "300", "600");
                    }
                },
                {
                    field: 'activityType',
                    title: '活动类型',
                    formatter: function (value, row) {
                        var activityType = row.activityType;
                        if (row.activityType == 1) {
                            activityType = "转盘";
                        } else {
                            activityType = "未知";
                        }
                        return activityType;
                    }
                },
                {
                    field: 'prizeNum',
                    title: '奖品数量'
                },
                {
                    field: 'drawNum',
                    title: '已发出'
                },
                {
                    field: '',
                    title: '奖品剩余',
                    formatter: function (value, row) {
                        var prizeNum = row.prizeNum;
                        var drawNum = row.drawNum;
                        return prizeNum - drawNum;
                    }
                },
                {
                    field: 'isOnline',
                    title: '活动状态',
                    formatter: function (value, row) {
                        var isOnline = row.isOnline;
                        if (row.isOnline == 1) {
                            isOnline = "未上线";
                        } else {
                            isOnline = "已上线";
                        }
                        return isOnline;
                    }
                },
                {
                    field: 'createdAt',
                    title: '创建时间'
                },
                {
                    title: '操作',
                    align: 'center',
                    formatter: function (value, row, index) {
                        var actions = [];
                        actions.push('<a class="btn btn-success btn-xs ' + drawListFlag + '" href="javascript:void(0)" onclick="$.operate.detailTab(\'' + row.integralActivityId + '\')"><i class="fa fa-edit"></i>查看抽奖名单</a> ');
                        actions.push('<a class="btn btn-success btn-xs ' + updateFlag + '" href="javascript:void(0)" onclick="$.operate.editTab(\'' + row.integralActivityId + '\')"></i>编辑</a> ');
                        if (row.isOnline == 1) {
                            actions.push(`<a class="btn btn-danger btn-xs ${isOnlineFlag}" href="javascript:void(0)" onclick="openModal('${row.integralActivityId}','${row.isOnline}')"></i>上线</a> `);
                        } else {
                            actions.push(`<a class="btn btn-danger btn-xs ${isOnlineFlag}" href="javascript:void(0)" onclick="openModal('${row.integralActivityId}','${row.isOnline}')"></i>下线</a> `);
                        }
                        actions.push('<a class="btn btn-warning btn-xs ' + exportExcelFlag + '" href="javascript:void(0)" onclick="exportExcel(\'' + row.integralActivityId + '\')"></i>导出抽奖信息</a> ');
                        return actions.join('');
                    }
                }]
        };

        $.table.init(options);
        
    });
    function openModal(id, data) {
        console.log(id, data, 'dhsa')
        let title = '';
        let lineId = null;
        if (data == 1) {
            title = '上线';
            lineId = 2
        } else {
            title = '下线';
            lineId = 1
        }
        $.modal.confirm(`确定要${title}此活动吗`, function() {
            $.ajax({
                type: 'put',
                url: '/sweet/integralActivity/isOnline',
                data: {integralActivityId: id, isOnline: lineId},
                success:function(e) {
                    console.log(e)
                    $("button[name=refresh]").click();
                }
            })
        });
    }
</script>
</body>
</html>